from django.urls import path

from . import views
from .views import upload_and_detect, upload_video_and_detect, camera_detect

urlpatterns = [
    path('upload/', upload_and_detect, name='upload_and_detect'),
    path('upload_video/', upload_video_and_detect, name='upload_video_and_detect'),
    path('camera_detect/', camera_detect, name='camera_detect'),
    path('upload/', views.upload_and_detect, name='upload_and_detect'),
    path('upload_video/', views.upload_video_and_detect, name='upload_video_and_detect'),
    path('camera_detect/', views.camera_detect, name='camera_detect'),
    path('download/<str:filename>/', views.download_file, name='download_file'),
    path('api/upload/', views.upload_and_detect, name='api_upload'),
    path('api/detect/', views.api_miniapp_detect, name='api_miniapp_detect'),
]